Package org.apache.commons.compress.archivers.zip

# Class UnicodeCommentExtraField

java.lang.Object
org.apache.commons.compress.archivers.zip.AbstractUnicodeExtraField
org.apache.commons.compress.archivers.zip.UnicodeCommentExtraField

All Implemented Interfaces:
  `ZipExtraField`

public class UnicodeCommentExtraField extends AbstractUnicodeExtraField
Info-ZIP Unicode Comment Extra Field (0x6375):

Stores the UTF-8 version of the file comment as stored in the central directory header.

See Also:
  - PKWARE APPNOTE.TXT, section 4.6.8
This class is not thread-safe
  super-class is not thread-safe

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final ZipShort`
  `UCOM_ID`
  Field ID.

  ### Fields inherited from interface org.apache.commons.compress.archivers.zip.ZipExtraField

  `EXTRAFIELD_HEADER_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UnicodeCommentExtraField()`
  Constructs a new instance.
  `UnicodeCommentExtraField(String comment, byte[] bytes)`
  Constructs a new instance as Unicode comment extension from the comment given as text as well as the bytes actually written to the archive.
  `UnicodeCommentExtraField(String text, byte[] bytes, int off, int len)`
  Assemble as Unicode comment extension from the name given as text as well as the encoded bytes actually written to the archive.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ZipShort`
  `getHeaderId()`
  The Header-ID.

  ### Methods inherited from class org.apache.commons.compress.archivers.zip.AbstractUnicodeExtraField

  `getCentralDirectoryData, getCentralDirectoryLength, getLocalFileDataData, getLocalFileDataLength, getNameCRC32, getUnicodeName, parseFromCentralDirectoryData, parseFromLocalFileData, setNameCRC32, setUnicodeName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### UCOM_ID

    public static final ZipShort UCOM_ID
    Field ID.

- ## Constructor Details

  - ### UnicodeCommentExtraField

    public UnicodeCommentExtraField()
    Constructs a new instance.

  - ### UnicodeCommentExtraField

    public UnicodeCommentExtraField(String comment, byte[] bytes)
    Constructs a new instance as Unicode comment extension from the comment given as text as well as the bytes actually written to the archive.
    Parameters:
      `comment` - The file comment
      `bytes` - the bytes actually written to the archive

  - ### UnicodeCommentExtraField

    public UnicodeCommentExtraField(String text, byte[] bytes, int off, int len)
    Assemble as Unicode comment extension from the name given as text as well as the encoded bytes actually written to the archive.
    Parameters:
      `text` - The file name
      `bytes` - the bytes actually written to the archive
      `off` - The offset of the encoded comment in `bytes`.
      `len` - The length of the encoded comment or comment in `bytes`.

- ## Method Details

  - ### getHeaderId

    public ZipShort getHeaderId()
    Description copied from interface: `ZipExtraField`
    The Header-ID.
    Returns:
      The HeaderId value